var ConfigManager = null;
var RequestManager = null;
var timeout = null;
if(typeof console === "undefined" )
    console = {log:function() {}}
    
function loadData() {
    RequestManager.updateStatus();
}


function load()
{
    dashcode.setupParts();
    // set default values
    ConfigManager = new WidgetConfig(
        "https://virtuohm.ohmportal.de/",
        "Enter name", 
        "Enter pass",
        60
    );
    
    RequestManager = new HTTPFetcher(ConfigManager);
    RequestManager.onDataUpdate = ListPopulator.update;
    RequestManager.onError = onError;
    if(ConfigManager.isDefault())
        showBack();
    else
        loadData();
}

function onError(msg) {
    switch(msg) {
        case "session_timeout":
            RequestManager.login();
            break;
        case "invalid_credentials":
            document.getElementById('txtError').innerHTML  = "Invalid credentials";
            showBack();
            break;
        default: 
            showBack();
            document.getElementById('txtError').innerHTML  = msg;
    }
    
}

function remove()
{

}

function hide()
{
}

function show()
{
}


function sync()
{
   
}

//
// Function: showBack(event)
// Called when the info button is clicked to show the back of the widget
//
// event: onClick event from the info button
//
function showBack(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

//
// Function: showFront(event)
// Called when the done button is clicked from the back of the widget
//
// event: onClick event from the done button
//
function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }

    front.style.display="block";
    back.style.display="none";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
    loadData();
}

if (window.widget) {
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
}
