/**
* Converts HTML files to trimmed json
*
*
**/

var VirtuOhmParser = {
    
    getDataFromCurrentMarks: function(xml) {
        xml = xml.replace(/(\n|\t|\r)/gi,"");
        // trim header
        xml = xml.replace(/.*<body.*?>/gi,"");
        xml = xml.replace(/<table.*?>.*?<\/table>/i,"");
        xml = xml.replace(/^.*?<\/thead>/i,"");
        xml = xml.replace(/<\/table>.*$/i,"");
        xml = xml.replace(/<tr>/g,"");
        xml = xml.replace(/<\/tr>/g,"\n");
        // remove non table tags
        xml = xml.replace(/<[^t].*?>/gi,"");
        // replace table tags with newline
        xml = xml.replace(/<(tr|td).*?>/gi,"\n");
        // remove last column
        xml = xml.replace(/.*Einsichtnahme.*/gi,"");
        // create json
        xml = xml.replace(/\n+/gi,",");
        xml = xml.replace(/^,/gi,'');
        xml = xml.replace(/ ,/gi,",");
        xml = xml.replace(/, *$/m,'"]');
        xml = xml.replace(/^/m,'["');
        xml = xml.replace(/,/g,'","');
    }
}