var WidgetConfig = function(address,name,pass,interval) {
    var ID = {
        ADDRESS     : "txtAddress",
        NAME        : "txtUsername",
        PASSWORD    : "txtPassword"
    }
    
    this.name = name;
    this.pass = pass;
    this.address = address;

    var registerEventListeners = function() {
        for(var id in ID) {
            var box = document.getElementById(ID[id]);
            var that = this;
            box.addEventListener("keyup",function() {
                that.fieldsChanged.call(that);
            },false);
        }
    }    
    this.isDefault = function() {
        return (this.name == name && this.pass == pass);
    }
    
    
    function constructor() {

        this.name = widget.preferenceForKey("username") || this.name;
        this.pass = widget.preferenceForKey("password") || this.pass;
        this.address = widget.preferenceForKey("address") || this.address; 
        this.interval = widget.preferenceForKey("interval") || this.interval*1000; 
        this.address = this.address.replace(/\/$/g,"");
        this.updateWidgetValues()
        registerEventListeners.call(this);
    }

    this.updateWidgetValues = function() {
        document.getElementById(ID.ADDRESS).value = this.address;
        document.getElementById(ID.NAME).value = this.name;
        document.getElementById(ID.PASSWORD).value = this.pass;
    }
    
    this.fieldsChanged = function() {

        this.address = document.getElementById(ID.ADDRESS).value;
        this.name = document.getElementById(ID.NAME).value;
        this.pass = document.getElementById(ID.PASSWORD).value;
            
        widget.setPreferenceForKey("username",this.name);
        widget.setPreferenceForKey("password",this.pass);
        widget.setPreferenceForKey("address",this.address);
        widget.setPreferenceForKey("interval",this.interval);
    }

    
    
    constructor.apply(this,arguments);
}